Subject: Re: [SIP] question on receiving multiple invites

From: Henning Schulzrinne <[email-masked]>
Date: Sat, 21 Oct 2000 11:45:10 -0700

Changed to tentative wording

...  Each of these copies bears the same
\header{Call-ID}, but a different topmost \header{Via} header branch
parameter (see Section~\ref{sec:Via}). The user agent {\MAY} choose
which final response to return for each such request, typically
returning a 200 (OK) for only one of them.

Jo Hornsby wrote:
> 
> > > > If a UAS receives multiple invites (due to an intermediate
> > > > forking proxy), should it respond with 200 for the second invite.
> > > > And if it does respond with 200, should the TAG added in the TO:
> > > > for this be different than the one sent on the first invite?
> > >
> > > This is known as "request merging".  Have a look at the
> > > following discussion:
> > > http://www.cs.columbia.edu/~jdrosen/sip/multiple_requests.txt
> > >
> > > Note that with the new rules about proxies having to make
> > > branch parameters "globally unique", things are probably a
> > > little easier.  Thus I prefer the UAS-errors-secondary-requests
> > > approach (and don't use different tags), since you should be
> > > able to match ACKs up to their respective INVITEs pretty easily
> > > (if an ACK including the topmost-Via doesn't match any other
> > > transaction, it must have been for the 200).
> >
> >   Should the wording in the draft section 1.4.5 below be changed?
> >
> >    "Each of these copies bears the same Call-ID. The
> >    user agent MUST return the same status response returned in the
> > first
> >    response. Duplicate requests are not an error"
> >
> >   Since this seems to require sending only 200 for the
> > subsequent requests?
> 
> I concur -- I think this text should change.
> 
>  - Jo.
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip